## suil 0.8.4~dfsg0

=== wscript ===
#!/usr/bin/env python
import os
import subprocess
import sys
import waflib.Options as Options
import waflib.extras.autowaf as autowaf
from waflib import TaskGen

# Library and package version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
SUIL_VERSION       = '0.8.4'
SUIL_MAJOR_VERSION = '0'

# Mandatory waf variables
APPNAME = 'suil'        # Package name for waf dist
VERSION = SUIL_VERSION  # Package version for waf dist
top     = '.'           # Source directory
out     = 'build'       # Build directory

def options(opt):
    opt.load('compiler_c')
    opt.load('compiler_cxx')
    autowaf.set_options(opt)
    opt.add_option('--static', action='store_true', dest='static',
                   help="Build static library")
    opt.add_option('--no-shared', action='store_true', dest='no_shared',
                   help='Do not build shared library')
    opt.add_option('--no-gtk', action='store_true', dest='no_gtk',
                   help='Do not build support for Gtk')
    opt.add_option('--no-qt', action='store_true', dest='no_qt',
                   help='Do not build support for Qt (any version)')
    opt.add_option('--no-qt4', action='store_true', dest='no_qt4',
                   help='Do not build support for Qt4')
    opt.add_option('--no-qt5', action='store_true', dest='no_qt5',
                   help='Do not build support for Qt5')
    opt.add_option('--gtk2-lib-name', type='string', dest='gtk2_lib_name',
                   default="libgtk-x11-2.0.so.0",
                   help="Gtk2 library name [Default: libgtk-x11-2.0.so.0]")

def configure(conf):
    conf.line_just = 40
    conf.load('compiler_c')
    conf.load('compiler_cxx')
    autowaf.configure(conf)
    autowaf.set_c99_mode(conf)
    autowaf.display_header('Suil Configuration')

    conf.env.BUILD_SHARED = not Options.options.no_shared
    conf.env.BUILD_STATIC = Options.options.static

    if not conf.env.BUILD_SHARED and not conf.env.BUILD_STATIC:
        conf.fatal('Neither a shared nor a static build requested')

    conf.env.NODELETE_FLAGS = []
    if (not conf.env.MSVC_COMPILER and
        conf.check(linkflags = ['-Wl,-z,nodelete'],
                   msg       = 'Checking for link flags -Wl,-z,-nodelete',
                   mandatory = False)):
        conf.env.NODELETE_FLAGS = ['-Wl,-z,nodelete']

    autowaf.check_pkg(conf, 'lv2', atleast_version='1.12.0', uselib_store='LV2')

    if not Options.options.no_gtk:
        autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
                          atleast_version='2.18.0', mandatory=False)
        if not conf.env.HAVE_GTK2:
            autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
                              atleast_version='2.0.0', mandatory=False)
            if conf.env.HAVE_GTK2:
                autowaf.define(conf, 'SUIL_OLD_GTK', 1)

        autowaf.check_pkg(conf, 'gtk+-x11-2.0', uselib_store='GTK2_X11',
                          atleast_version='2.0.0', mandatory=False)

        autowaf.check_pkg(conf, 'gtk+-quartz-2.0', uselib_store='GTK2_QUARTZ',
                          atleast_version='2.0.0', mandatory=False)

    if not Options.options.no_qt:
        if not Options.options.no_qt4:
            autowaf.check_pkg(conf, 'QtGui', uselib_store='QT4',
                              atleast_version='4.4.0', mandatory=False)

        if not Options.options.no_qt5:
            autowaf.check_pkg(conf, 'Qt5Widgets', uselib_store='QT5',
                              atleast_version='5.1.0', mandatory=False)

    conf.check_cc(define_name   = 'HAVE_LIBDL',
                  lib           = 'dl',
                  mandatory     = False)

    autowaf.define(conf, 'SUIL_VERSION', SUIL_VERSION)
    autowaf.define(conf, 'SUIL_MODULE_DIR',
                   conf.env.LIBDIR + '/suil-' + SUIL_MAJOR_VERSION)
    autowaf.define(conf, 'SUIL_DIR_SEP', '/')
    autowaf.define(conf, 'SUIL_GTK2_LIB_NAME', Options.options.gtk2_lib_name);

    if conf.env.HAVE_GTK2 and conf.env.HAVE_QT4:
        autowaf.define(conf, 'SUIL_WITH_GTK2_IN_QT4', 1)
        autowaf.define(conf, 'SUIL_WITH_QT4_IN_GTK2', 1)

    if conf.env.HAVE_GTK2 and conf.env.HAVE_QT5:
        autowaf.define(conf, 'SUIL_WITH_GTK2_IN_QT5', 1)

    if conf.env.HAVE_GTK2 and conf.env.HAVE_GTK2_X11:
        autowaf.define(conf, 'SUIL_WITH_X11_IN_GTK2', 1)

    if conf.env.HAVE_GTK2 and conf.env.HAVE_GTK2_QUARTZ:
        autowaf.define(conf, 'SUIL_WITH_COCOA_IN_GTK2', 1)

    if conf.env.HAVE_GTK2 and conf.env.DEST_OS == 'win32':
        autowaf.define(conf, 'SUIL_WITH_WIN_IN_GTK2', 1)

    if conf.env.HAVE_QT4:
        autowaf.define(conf, 'SUIL_WITH_X11_IN_QT4', 1)

    if conf.env.HAVE_QT5:
        autowaf.define(conf, 'SUIL_WITH_X11_IN_QT5', 1)

    module_prefix = ''
    module_ext    = ''
    if conf.env.PARDEBUG:
        module_ext += 'D'
    if conf.env.DEST_OS == 'win32':
        module_ext += '.dll'
    elif conf.env.DEST_OS == 'darwin':
        module_prefix = 'lib'
        module_ext += '.dylib'
    else:
        module_prefix = 'lib'
        module_ext += '.so'

    autowaf.define(conf, 'SUIL_MODULE_PREFIX', module_prefix)
    autowaf.define(conf, 'SUIL_MODULE_EXT', module_ext)

    autowaf.set_lib_env(conf, 'suil', SUIL_VERSION)
    conf.write_config_header('suil_config.h', remove=False)

    autowaf.display_msg(conf, "Gtk2 Support", bool(conf.env.HAVE_GTK2))
    if conf.env.HAVE_GTK2:
        autowaf.display_msg(conf, "Gtk2 Library Name",
                            conf.env.SUIL_GTK2_LIB_NAME)
    autowaf.display_msg(conf, "Qt4 Support", bool(conf.env.HAVE_QT4))
    autowaf.display_msg(conf, "Qt5 Support", bool(conf.env.HAVE_QT5))
    print('')

def build(bld):
    # C Headers
    includedir = '${INCLUDEDIR}/suil-%s/suil' % SUIL_MAJOR_VERSION
    bld.install_files(includedir, bld.path.ant_glob('suil/*.h'))
    TaskGen.task_gen.mappings['.mm'] = TaskGen.task_gen.mappings['.cc']

    # Pkgconfig file
    autowaf.build_pc(bld, 'SUIL', SUIL_VERSION, SUIL_MAJOR_VERSION, [],
                     {'SUIL_MAJOR_VERSION' : SUIL_MAJOR_VERSION})

    cflags = []
    lib    = []
    modlib = []
    if bld.env.DEST_OS == 'win32':
        modlib += ['user32']
    else:
        cflags += ['-fvisibility=hidden']
        if bld.is_defined('HAVE_LIBDL'):
            lib    += ['dl']
            modlib += ['dl']

    module_dir = '${LIBDIR}/suil-' + SUIL_MAJOR_VERSION

    # Shared Library
    if bld.env.BUILD_SHARED:
        obj = bld(features        = 'c cshlib',
                  export_includes = ['.'],
                  source          = 'src/host.c src/instance.c',
                  target          = 'suil-%s' % SUIL_MAJOR_VERSION,
                  includes        = ['.'],
                  defines         = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  name            = 'libsuil',
                  vnum            = SUIL_VERSION,
                  install_path    = '${LIBDIR}',
                  cflags          = cflags,
                  lib             = lib,
                  uselib          = 'LV2')

    # Static library
    if bld.env.BUILD_STATIC:
        obj = bld(features        = 'c cstlib',
                  export_includes = ['.'],
                  source          = 'src/host.c src/instance.c',
                  target          = 'suil-%s' % SUIL_MAJOR_VERSION,
                  includes        = ['.'],
                  defines         = ['SUIL_INTERNAL'],
                  name            = 'libsuil_static',
                  vnum            = SUIL_VERSION,
                  install_path    = '${LIBDIR}',
                  cflags          = cflags,
                  lib             = lib,
                  uselib          = 'LV2')

    if bld.env.SUIL_WITH_GTK2_IN_QT4:
        obj = bld(features     = 'cxx cxxshlib',
                  source       = 'src/gtk2_in_qt4.cpp',
                  target       = 'suil_gtk2_in_qt4',
                  includes     = ['.'],
                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  install_path = module_dir,
                  cflags       = cflags,
                  lib          = modlib)
        autowaf.use_lib(bld, obj, 'GTK2 QT4 LV2')

    if bld.env.SUIL_WITH_GTK2_IN_QT5:
        obj = bld(features     = 'cxx cxxshlib',
                  source       = 'src/gtk2_in_qt5.cpp',
                  target       = 'suil_gtk2_in_qt5',
                  includes     = ['.'],
                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  install_path = module_dir,
                  cflags       = cflags,
                  lib          = modlib)
        autowaf.use_lib(bld, obj, 'GTK2 QT5 LV2')

    if bld.env.SUIL_WITH_QT4_IN_GTK2:
        obj = bld(features     = 'cxx cxxshlib',
                  source       = 'src/qt4_in_gtk2.cpp',
                  target       = 'suil_qt4_in_gtk2',
                  includes     = ['.'],
                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  install_path = module_dir,
                  cflags       = cflags,
                  lib          = modlib,
                  linkflags    = bld.env.NODELETE_FLAGS)
        autowaf.use_lib(bld, obj, 'GTK2 QT4 LV2')

    if bld.env.SUIL_WITH_X11_IN_GTK2:
        obj = bld(features     = 'c cshlib',
                  source       = 'src/x11_in_gtk2.c',
                  target       = 'suil_x11_in_gtk2',
                  includes     = ['.'],
                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  install_path = module_dir,
                  cflags       = cflags,
                  lib          = modlib + ['X11'],
                  linkflags    = bld.env.NODELETE_FLAGS)
        autowaf.use_lib(bld, obj, 'GTK2 GTK2_X11 LV2')

    if bld.env.SUIL_WITH_COCOA_IN_GTK2:
        obj = bld(features     = 'cxx cshlib',
                  source       = 'src/cocoa_in_gtk2.mm',
                  target       = 'suil_cocoa_in_gtk2',
                  includes     = ['.'],
                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  install_path = module_dir,
                  cflags       = cflags,
                  lib          = modlib,
                  linkflags    = ['-framework', 'Cocoa'])
        autowaf.use_lib(bld, obj, 'GTK2 LV2')

    if bld.env.SUIL_WITH_WIN_IN_GTK2:
        obj = bld(features     = 'cxx cxxshlib',
                  source       = 'src/win_in_gtk2.cpp',
                  target       = 'suil_win_in_gtk2',
                  includes     = ['.'],
                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  install_path = module_dir,
                  cflags       = cflags,
                  lib          = modlib,
                  linkflags    = bld.env.NODELETE_FLAGS)
        autowaf.use_lib(bld, obj, 'GTK2 LV2')

    if bld.env.SUIL_WITH_X11_IN_QT4:
        obj = bld(features     = 'cxx cxxshlib',
                  source       = 'src/x11_in_qt4.cpp',
                  target       = 'suil_x11_in_qt4',
                  includes     = ['.'],
                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  install_path = module_dir,
                  cflags       = cflags,
                  lib          = modlib)
        autowaf.use_lib(bld, obj, 'QT4 LV2')

    if bld.env.SUIL_WITH_X11_IN_QT5:
        obj = bld(features     = 'cxx cxxshlib',
                  source       = 'src/x11_in_qt5.cpp',
                  target       = 'suil_x11_in_qt5',
                  includes     = ['.'],
                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  install_path = module_dir,
                  cflags       = cflags,
                  lib          = modlib)
        autowaf.use_lib(bld, obj, 'QT5 LV2')

    # Documentation
    autowaf.build_dox(bld, 'SUIL', SUIL_VERSION, top, out)

    bld.add_post_fun(autowaf.run_ldconfig)

=== debian/changelog ===
suil (0.8.4~dfsg0-2) unstable; urgency=medium

  * Add patch to fix FTBFS with Qt 5.7. (Closes: #844101)
  * Set dh/compat 10.
  * Set dh/compat 10.
  * Drop dbg package in favour of dbgsym.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 12 Nov 2016 17:27:52 +0100

suil (0.8.4~dfsg0-1) unstable; urgency=medium

  * Fix watch file.
  * Fix repacking.
  * New upstream version 0.8.4~dfsg0
  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.
  * Add B-D for Qt5 support.
  * Tighten B-D for lv2-dev.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 22 Sep 2016 21:22:24 +0200

=== debian/control ===
Source: suil
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 10),
 libgtk2.0-dev,
 libqt4-dev,
 qtbase5-dev,
 qttools5-dev-tools,
 lv2-dev (>= 1.12.0~),
 pkg-config,
 python
Standards-Version: 3.9.8
Homepage: http://drobilla.net/software/suil/
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/suil.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/suil.git

Package: libsuil-dev
Section: libdevel
Architecture: any
Depends:
 libsuil-0-0 (= ${binary:Version}),
 ${misc:Depends}
Recommends:
 pkg-config
Multi-Arch: same
Description: Development files for suil
 Suil makes it possible to load a UI of any toolkit in a host using
 any other toolkit (assuming the toolkits are both supported by
 Suil). Hosts do not need to build against or link to foreign toolkit
 libraries to use UIs written with that toolkit (Suil performs its
 magic at runtime using dynamically loaded modules). The API
 is designed such that hosts do not need to explicitly support
 particular toolkits whatsoever - if Suil supports a particular
 toolkit, then all hosts that use Suil will support that toolkit
 "for free". Suil currently supports GTK-2+ and Qt4
 .
 This package provides the development files for suil.

Package: libsuil-0-0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: same
Description: library for loading and wrapping LV2 plugin UIs
 Suil makes it possible to load a UI of any toolkit in a host using
 any other toolkit (assuming the toolkits are both supported by
 Suil). Hosts do not need to build against or link to foreign toolkit
 libraries to use UIs written with that toolkit (Suil performs its
 magic at runtime using dynamically loaded modules). The API
 is designed such that hosts do not need to explicitly support
 particular toolkits whatsoever - if Suil supports a particular
 toolkit, then all hosts that use Suil will support that toolkit
 "for free". Suil currently supports GTK-2+ and Qt4
 .
 This package provides the shared library.

=== debian/rules ===
#!/usr/bin/make -f

upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
dfsg_version = $(upstream_version)~dfsg0
pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LDFLAGS+=-Wl,--as-needed
WAF = ./waf

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_configure:
	$(WAF) configure \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--gtk2-lib-name="libgtk-x11-2.0.so.0" \
                --strict

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) clean || true
	find -name "*.pyc" -delete
	rm -rf build .waf*
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp

# get-orig-source to drop waf
get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=.
	tar -xf $(pkg)_$(upstream_version).orig.tar.bz2
	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
	cd $(pkg)-$(dfsg_version) ; python waf --help > /dev/null
	mv $(pkg)-$(dfsg_version)/.waf-*/* $(pkg)-$(dfsg_version)
	sed -i '/^#==>$$/,$$d' $(pkg)-$(dfsg_version)/waf
	rmdir $(pkg)-$(dfsg_version)/.waf-*
	find $(pkg)-$(dfsg_version)/ -name '*.pyc' -delete
	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
	xz -9fz $(pkg)_$(dfsg_version).orig.tar
	rm -rf $(pkg)-$(dfsg_version)
	mv $(pkg)_$(dfsg_version).orig.tar.xz ../$(pkg)_$(dfsg_version).orig.tar.xz
	mv $(pkg)_$(upstream_version).orig.tar.bz2 ../$(pkg)_$(upstream_version).orig.tar.bz2

## suil 0.10.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -1,17 +1,12 @@
 #!/usr/bin/env python
 import os
 import subprocess
-import sys
-import waflib.Options as Options
+import waflib.TaskGen as TaskGen
 import waflib.extras.autowaf as autowaf
-from waflib import TaskGen
-
-# Library and package version (UNIX style major, minor, micro)
-# major increment <=> incompatible changes
-# minor increment <=> compatible changes (additions)
-# micro increment <=> no interface changes
-SUIL_VERSION       = '0.8.4'
-SUIL_MAJOR_VERSION = '0'
+
+# Semver package/library version
+SUIL_VERSION       = '0.10.0'
+SUIL_MAJOR_VERSION = SUIL_VERSION[0:SUIL_VERSION.find('.')]
 
 # Mandatory waf variables
 APPNAME = 'suil'        # Package name for waf dist
@@ -19,36 +14,41 @@
 top     = '.'           # Source directory
 out     = 'build'       # Build directory
 
-def options(opt):
-    opt.load('compiler_c')
-    opt.load('compiler_cxx')
-    autowaf.set_options(opt)
+def options(ctx):
+    ctx.load('compiler_c')
+    ctx.load('compiler_cxx')
+    autowaf.set_options(ctx)
+    opt = ctx.get_option_group('Configuration options')
     opt.add_option('--static', action='store_true', dest='static',
-                   help="Build static library")
+                   help='build static library')
     opt.add_option('--no-shared', action='store_true', dest='no_shared',
-                   help='Do not build shared library')
+                   help='do not build shared library')
     opt.add_option('--no-gtk', action='store_true', dest='no_gtk',
-                   help='Do not build support for Gtk')
+                   help='do not build support for Gtk')
     opt.add_option('--no-qt', action='store_true', dest='no_qt',
-                   help='Do not build support for Qt (any version)')
+                   help='do not build support for Qt (any version)')
     opt.add_option('--no-qt4', action='store_true', dest='no_qt4',
-                   help='Do not build support for Qt4')
+                   help='do not build support for Qt4')
     opt.add_option('--no-qt5', action='store_true', dest='no_qt5',
-                   help='Do not build support for Qt5')
+                   help='do not build support for Qt5')
     opt.add_option('--gtk2-lib-name', type='string', dest='gtk2_lib_name',
                    default="libgtk-x11-2.0.so.0",
                    help="Gtk2 library name [Default: libgtk-x11-2.0.so.0]")
+    opt.add_option('--gtk3-lib-name', type='string', dest='gtk3_lib_name',
+                   default="libgtk-x11-3.0.so.0",
+                   help="Gtk3 library name [Default: libgtk-x11-3.0.so.0]")
 
 def configure(conf):
     conf.line_just = 40
     conf.load('compiler_c')
     conf.load('compiler_cxx')
     autowaf.configure(conf)
+    autowaf.display_header('Suil Configuration')
     autowaf.set_c99_mode(conf)
-    autowaf.display_header('Suil Configuration')
-
-    conf.env.BUILD_SHARED = not Options.options.no_shared
-    conf.env.BUILD_STATIC = Options.options.static
+    autowaf.set_cxx11_mode(conf)
+
+    conf.env.BUILD_SHARED = not conf.options.no_shared
+    conf.env.BUILD_STATIC = conf.options.static
 
     if not conf.env.BUILD_SHARED and not conf.env.BUILD_STATIC:
         conf.fatal('Neither a shared nor a static build requested')
@@ -61,8 +61,9 @@
         conf.env.NODELETE_FLAGS = ['-Wl,-z,nodelete']
 
     autowaf.check_pkg(conf, 'lv2', atleast_version='1.12.0', uselib_store='LV2')
-
-    if not Options.options.no_gtk:
+    autowaf.check_pkg(conf, 'x11', uselib_store='X11', mandatory=False)
+
+    if not conf.options.no_gtk:
         autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
                           atleast_version='2.18.0', mandatory=False)
         if not conf.env.HAVE_GTK2:
@@ -77,12 +78,18 @@
         autowaf.check_pkg(conf, 'gtk+-quartz-2.0', uselib_store='GTK2_QUARTZ',
                           atleast_version='2.0.0', mandatory=False)
 
-    if not Options.options.no_qt:
-        if not Options.options.no_qt4:
+        autowaf.check_pkg(conf, 'gtk+-3.0', uselib_store='GTK3',
+                          atleast_version='3.14.0', mandatory=False)
+
+        autowaf.check_pkg(conf, 'gtk+-x11-3.0', uselib_store='GTK3_X11',
+                          atleast_version='3.14.0', mandatory=False)
+
+    if not conf.options.no_qt:
+        if not conf.options.no_qt4:
             autowaf.check_pkg(conf, 'QtGui', uselib_store='QT4',
                               atleast_version='4.4.0', mandatory=False)
 
-        if not Options.options.no_qt5:
+        if not conf.options.no_qt5:
             autowaf.check_pkg(conf, 'Qt5Widgets', uselib_store='QT5',
                               atleast_version='5.1.0', mandatory=False)
 
@@ -94,7 +101,8 @@
     autowaf.define(conf, 'SUIL_MODULE_DIR',
                    conf.env.LIBDIR + '/suil-' + SUIL_MAJOR_VERSION)
     autowaf.define(conf, 'SUIL_DIR_SEP', '/')
-    autowaf.define(conf, 'SUIL_GTK2_LIB_NAME', Options.options.gtk2_lib_name);
+    autowaf.define(conf, 'SUIL_GTK2_LIB_NAME', conf.options.gtk2_lib_name);
+    autowaf.define(conf, 'SUIL_GTK3_LIB_NAME', conf.options.gtk3_lib_name);
 
     if conf.env.HAVE_GTK2 and conf.env.HAVE_QT4:
         autowaf.define(conf, 'SUIL_WITH_GTK2_IN_QT4', 1)
@@ -102,10 +110,14 @@
 
     if conf.env.HAVE_GTK2 and conf.env.HAVE_QT5:
         autowaf.define(conf, 'SUIL_WITH_GTK2_IN_QT5', 1)
+        autowaf.define(conf, 'SUIL_WITH_QT5_IN_GTK2', 1)
 
     if conf.env.HAVE_GTK2 and conf.env.HAVE_GTK2_X11:
         autowaf.define(conf, 'SUIL_WITH_X11_IN_GTK2', 1)
 
+    if conf.env.HAVE_GTK3 and conf.env.HAVE_GTK3_X11:
+        autowaf.define(conf, 'SUIL_WITH_X11_IN_GTK3', 1)
+
     if conf.env.HAVE_GTK2 and conf.env.HAVE_GTK2_QUARTZ:
         autowaf.define(conf, 'SUIL_WITH_COCOA_IN_GTK2', 1)
 
@@ -117,6 +129,10 @@
 
     if conf.env.HAVE_QT5:
         autowaf.define(conf, 'SUIL_WITH_X11_IN_QT5', 1)
+        autowaf.set_cxx11_mode(conf)
+
+    if conf.env.HAVE_X11:
+        autowaf.define(conf, 'SUIL_WITH_X11', 1)
 
     module_prefix = ''
     module_ext    = ''
@@ -137,12 +153,29 @@
     autowaf.set_lib_env(conf, 'suil', SUIL_VERSION)
     conf.write_config_header('suil_config.h', remove=False)
 
-    autowaf.display_msg(conf, "Gtk2 Support", bool(conf.env.HAVE_GTK2))
     if conf.env.HAVE_GTK2:
         autowaf.display_msg(conf, "Gtk2 Library Name",
                             conf.env.SUIL_GTK2_LIB_NAME)
-    autowaf.display_msg(conf, "Qt4 Support", bool(conf.env.HAVE_QT4))
-    autowaf.display_msg(conf, "Qt5 Support", bool(conf.env.HAVE_QT5))
+    if conf.env.HAVE_GTK3:
+        autowaf.display_msg(conf, "Gtk3 Library Name",
+                            conf.env.SUIL_GTK3_LIB_NAME)
+
+    # Print summary message for every potentially supported wrapper
+    wrappers = [('cocoa', 'gtk2'),
+                ('gtk2', 'qt4'),
+                ('gtk2', 'qt5'),
+                ('qt4', 'gtk2'),
+                ('qt5', 'gtk2'),
+                ('win', 'gtk2'),
+                ('x11', 'gtk2'),
+                ('x11', 'gtk3'),
+                ('x11', 'qt4'),
+                ('x11', 'qt5')]
+    for w in wrappers:
+        var = 'SUIL_WITH_%s_IN_%s' % (w[0].upper(), w[1].upper())
+        autowaf.display_msg(conf, 'Support for %s in %s' % (w[0], w[1]),
+                            bool(conf.env[var]))
+
     print('')
 
 def build(bld):
@@ -205,7 +238,7 @@
                   includes     = ['.'],
                   defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                   install_path = module_dir,
-                  cflags       = cflags,
+                  cxxflags     = cflags,
                   lib          = modlib)
         autowaf.use_lib(bld, obj, 'GTK2 QT4 LV2')
 
@@ -216,7 +249,7 @@
                   includes     = ['.'],
                   defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                   install_path = module_dir,
-                  cflags       = cflags,
+                  cxxflags     = cflags,
                   lib          = modlib)
         autowaf.use_lib(bld, obj, 'GTK2 QT5 LV2')
 
@@ -227,10 +260,22 @@
                   includes     = ['.'],
                   defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                   install_path = module_dir,
-                  cflags       = cflags,
+                  cxxflags     = cflags,
                   lib          = modlib,
                   linkflags    = bld.env.NODELETE_FLAGS)
         autowaf.use_lib(bld, obj, 'GTK2 QT4 LV2')
+
+    if bld.env.SUIL_WITH_QT5_IN_GTK2:
+        obj = bld(features     = 'cxx cxxshlib',
+                  source       = 'src/qt5_in_gtk2.cpp',
+                  target       = 'suil_qt5_in_gtk2',
+                  includes     = ['.'],
+                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
+                  install_path = module_dir,
+                  cxxflags     = cflags,
+                  lib          = modlib,
+                  linkflags    = bld.env.NODELETE_FLAGS)
+        autowaf.use_lib(bld, obj, 'GTK2 QT5 LV2')
 
     if bld.env.SUIL_WITH_X11_IN_GTK2:
         obj = bld(features     = 'c cshlib',
@@ -244,53 +289,8 @@
                   linkflags    = bld.env.NODELETE_FLAGS)
         autowaf.use_lib(bld, obj, 'GTK2 GTK2_X11 LV2')
 
-    if bld.env.SUIL_WITH_COCOA_IN_GTK2:
-        obj = bld(features     = 'cxx cshlib',
-                  source       = 'src/cocoa_in_gtk2.mm',
-                  target       = 'suil_cocoa_in_gtk2',
-                  includes     = ['.'],
-                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
-                  install_path = module_dir,
-                  cflags       = cflags,
-                  lib          = modlib,
-                  linkflags    = ['-framework', 'Cocoa'])
-        autowaf.use_lib(bld, obj, 'GTK2 LV2')
-
-    if bld.env.SUIL_WITH_WIN_IN_GTK2:
-        obj = bld(features     = 'cxx cxxshlib',
-                  source       = 'src/win_in_gtk2.cpp',
-                  target       = 'suil_win_in_gtk2',
-                  includes     = ['.'],
-                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
-                  install_path = module_dir,
-                  cflags       = cflags,
-                  lib          = modlib,
-                  linkflags    = bld.env.NODELETE_FLAGS)
-        autowaf.use_lib(bld, obj, 'GTK2 LV2')
-
-    if bld.env.SUIL_WITH_X11_IN_QT4:
-        obj = bld(features     = 'cxx cxxshlib',
-                  source       = 'src/x11_in_qt4.cpp',
-                  target       = 'suil_x11_in_qt4',
-                  includes     = ['.'],
-                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
-                  install_path = module_dir,
-                  cflags       = cflags,
-                  lib          = modlib)
-        autowaf.use_lib(bld, obj, 'QT4 LV2')
-
-    if bld.env.SUIL_WITH_X11_IN_QT5:
-        obj = bld(features     = 'cxx cxxshlib',
-                  source       = 'src/x11_in_qt5.cpp',
-                  target       = 'suil_x11_in_qt5',
-                  includes     = ['.'],
-                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
-                  install_path = module_dir,
-                  cflags       = cflags,
-                  lib          = modlib)
-        autowaf.use_lib(bld, obj, 'QT5 LV2')
-
-    # Documentation
-    autowaf.build_dox(bld, 'SUIL', SUIL_VERSION, top, out)
-
-    bld.add_post_fun(autowaf.run_ldconfig)
+    if bld.env.SUIL_WITH_X11_IN_GTK3:
+        obj = bld(features     = 'c cshlib',
+                  source       = 'src/x11_in_gtk3.c',
+                  target       = 'suil_x11_in_gtk3',
+                  includes     = ['.'],

=== debian/changelog ===
suil (0.10.0~dfsg0-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * Team upload.
  * Drop Qt4 support. (Closes: #875205)

  [ Jaromír Mikeš ]
  * New upstream version 0.10.0~dfsg0
  * Patch refreshed.
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Bump Standards.
  * Update copyright.
  * Sign tags.
  * Update symbols file .
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 04 Oct 2017 20:51:34 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,12 @@
 Build-Depends:
  debhelper (>= 10),
  libgtk2.0-dev,
- libqt4-dev,
  qtbase5-dev,
  qttools5-dev-tools,
  lv2-dev (>= 1.12.0~),
  pkg-config,
  python
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://drobilla.net/software/suil/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/suil.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/suil.git
@@ -37,7 +36,7 @@
  is designed such that hosts do not need to explicitly support
  particular toolkits whatsoever - if Suil supports a particular
  toolkit, then all hosts that use Suil will support that toolkit
- "for free". Suil currently supports GTK-2+ and Qt4
+ "for free". Suil currently supports GTK-2+ and QT5
  .
  This package provides the development files for suil.
 
@@ -57,6 +56,6 @@
  is designed such that hosts do not need to explicitly support
  particular toolkits whatsoever - if Suil supports a particular
  toolkit, then all hosts that use Suil will support that toolkit
- "for free". Suil currently supports GTK-2+ and Qt4
+ "for free". Suil currently supports GTK-2+ and QT5
  .
  This package provides the shared library.

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,10 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-LDFLAGS+=-Wl,--as-needed
+
 WAF = ./waf
 
 %:

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./,dversionmangle=s/~dfsg.*//" \
http://download.drobilla.net/suil-(.*)\.tar\.bz2

## suil 0.10.4

=== debian/changelog ===
suil (0.10.4-2) unstable; urgency=medium

  * Team upload
  * debian/: Only recommend dependencies of modules. The host application will
    already depend on the right UI toolkit anyway. (Closes: #875655)
  * debian/control: Remove obsolete Pre-Depends

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 16 Oct 2019 23:19:17 +0200

suil (0.10.4-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control:
    - Set RRR: no
    - Bump debhelper compat to 12
    - Bump Standards-Version
    - B-D on libgtk-3-dev
  * debian/copyright: Document waflib
  * debian/: Use Python 3 to run waf

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 16 Oct 2019 00:47:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: suil
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  libgtk2.0-dev,
+ libgtk-3-dev,
  qtbase5-dev,
  qttools5-dev-tools,
- lv2-dev (>= 1.12.0~),
+ lv2-dev (>= 1.16),
  pkg-config,
- python
-Standards-Version: 4.1.0
+ python3
+Standards-Version: 4.4.1
 Homepage: http://drobilla.net/software/suil/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/suil.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/suil.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/suil.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/suil
+Rules-Requires-Root: no
 
 Package: libsuil-dev
 Section: libdevel
@@ -42,10 +44,11 @@
 
 Package: libsuil-0-0
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
+Recommends:
+ ${shlibs:Recommends}
 Multi-Arch: same
 Description: library for loading and wrapping LV2 plugin UIs
  Suil makes it possible to load a UI of any toolkit in a host using

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/architecture.mk

WAF = python3 ./waf

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_configure:
	$(WAF) configure \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--strict

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) clean || true
	find -name "*.pyc" -delete
	rm -rf build .waf*
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp

override_dh_shlibdeps:
	dh_shlibdeps -X libsuil_ -- \
		-dRecommends $(wildcard debian/libsuil-0-0/usr/lib/$(DEB_HOST_MULTIARCH)/suil-0/*.so) \
		-dDepends

=== debian/watch ===
version=4
http://download.drobilla.net/suil-(.*)\.tar\.bz2

## suil 0.10.6

=== wscript ===
#!/usr/bin/env python

import os
import subprocess

from waflib import TaskGen
from waflib.extras import autowaf

# Semver package/library version
SUIL_VERSION       = '0.10.6'
SUIL_MAJOR_VERSION = SUIL_VERSION[0:SUIL_VERSION.find('.')]

# Mandatory waf variables
APPNAME = 'suil'        # Package name for waf dist
VERSION = SUIL_VERSION  # Package version for waf dist
top     = '.'           # Source directory
out     = 'build'       # Build directory

# Release variables
uri          = 'http://drobilla.net/sw/suil'
dist_pattern = 'http://download.drobilla.net/suil-%d.%d.%d.tar.bz2'
post_tags    = ['Hacking', 'LAD', 'LV2', 'Suil']

def options(ctx):
    ctx.load('compiler_c')
    ctx.load('compiler_cxx')
    opt = ctx.configuration_options()

    opt.add_option('--gtk2-lib-name', type='string', dest='gtk2_lib_name',
                   default="libgtk-x11-2.0.so.0",
                   help="Gtk2 library name [Default: libgtk-x11-2.0.so.0]")
    opt.add_option('--gtk3-lib-name', type='string', dest='gtk3_lib_name',
                   default="libgtk-x11-3.0.so.0",
                   help="Gtk3 library name [Default: libgtk-x11-3.0.so.0]")

    ctx.add_flags(
        opt,
        {'static':    'build static library',
         'no-shared': 'do not build shared library',
         'no-cocoa':  'do not build support for Cocoa/Quartz',
         'no-gtk':    'do not build support for Gtk',
         'no-qt':     'do not build support for Qt (any version)',
         'no-qt4':    'do not build support for Qt4',
         'no-qt5':    'do not build support for Qt5'})

def configure(conf):
    conf.load('compiler_c', cache=True)
    conf.load('compiler_cxx', cache=True)
    conf.load('autowaf', cache=True)
    autowaf.set_c_lang(conf, 'c99')

    conf.env.BUILD_SHARED = not conf.options.no_shared
    conf.env.BUILD_STATIC = conf.options.static

    if not conf.env.BUILD_SHARED and not conf.env.BUILD_STATIC:
        conf.fatal('Neither a shared nor a static build requested')

    conf.env.NODELETE_FLAGS = []
    if (not conf.env.MSVC_COMPILER and
        conf.check(linkflags = ['-Wl,-z,nodelete'],
                   msg       = 'Checking for link flags -Wl,-z,-nodelete',
                   mandatory = False)):
        conf.env.NODELETE_FLAGS = ['-Wl,-z,nodelete']

    conf.check_pkg('lv2 >= 1.16.0', uselib_store='LV2')
    conf.check_pkg('x11', uselib_store='X11', mandatory=False)

    def enable_module(var_name):
        conf.define(var_name, 1)
        conf.env[var_name] = 1

    if not conf.options.no_gtk:
        conf.check_pkg('gtk+-2.0 >= 2.18.0',
                       uselib_store='GTK2',
                       system=True,
                       mandatory=False)
        if not conf.env.HAVE_GTK2:
            conf.check_pkg('gtk+-2.0',
                           uselib_store='GTK2',
                           system=True,
                           mandatory=False)
            if conf.env.HAVE_GTK2:
                conf.define('SUIL_OLD_GTK', 1)

        conf.check_pkg('gtk+-x11-2.0', uselib_store='GTK2_X11', mandatory=False)

        if not conf.options.no_cocoa:
            conf.check_pkg('gtk+-quartz-2.0',
                           uselib_store='GTK2_QUARTZ',
                           mandatory=False)

        conf.check_pkg('gtk+-3.0 >= 3.14.0',
                       uselib_store='GTK3',
                       mandatory=False)

        conf.check_pkg('gtk+-x11-3.0 >= 3.14.0',
                       uselib_store='GTK3_X11',
                       mandatory=False)

    if not conf.options.no_qt:
        if not conf.options.no_qt4:
            conf.check_pkg('QtGui >= 4.4.0',
                           uselib_store='QT4',
                           mandatory=False)

        if not conf.options.no_qt5 and not conf.options.no_cocoa:
            conf.check_pkg('Qt5Widgets >= 5.1.0',
                           uselib_store='QT5',
                           mandatory=False)
            if conf.check_cxx(header_name = 'QMacCocoaViewContainer',
                              uselib      = 'QT5_COCOA',
                              mandatory   = False):
                enable_module('SUIL_WITH_COCOA_IN_QT5')

    conf.check_cc(define_name   = 'HAVE_LIBDL',
                  lib           = 'dl',
                  mandatory     = False)

    conf.define('SUIL_MODULE_DIR',
                conf.env.LIBDIR + '/suil-' + SUIL_MAJOR_VERSION)

    conf.define('SUIL_DIR_SEP', '/')
    conf.define('SUIL_GTK2_LIB_NAME', conf.options.gtk2_lib_name);
    conf.define('SUIL_GTK3_LIB_NAME', conf.options.gtk3_lib_name);

    if conf.env.HAVE_GTK2 and conf.env.HAVE_QT4:
        enable_module('SUIL_WITH_QT4_IN_GTK2')
        if conf.env.HAVE_GTK2_X11:
            enable_module('SUIL_WITH_GTK2_IN_QT4')

    if conf.env.HAVE_GTK2 and conf.env.HAVE_QT5:
        enable_module('SUIL_WITH_GTK2_IN_QT5')
        enable_module('SUIL_WITH_QT5_IN_GTK2')

    if conf.env.HAVE_GTK2 and conf.env.HAVE_GTK2_X11:
        enable_module('SUIL_WITH_X11_IN_GTK2')

    if conf.env.HAVE_GTK3 and conf.env.HAVE_GTK3_X11:
        enable_module('SUIL_WITH_X11_IN_GTK3')

    if conf.env.HAVE_GTK3 and conf.env.HAVE_QT5:
        enable_module('SUIL_WITH_QT5_IN_GTK3')

    if conf.env.HAVE_GTK2 and conf.env.HAVE_GTK2_QUARTZ:
        enable_module('SUIL_WITH_COCOA_IN_GTK2')

    if conf.env.HAVE_GTK2 and conf.env.DEST_OS == 'win32':
        enable_module('SUIL_WITH_WIN_IN_GTK2')

    if conf.env.HAVE_QT4:
        enable_module('SUIL_WITH_X11_IN_QT4')

    if conf.env.HAVE_QT5:
        enable_module('SUIL_WITH_X11_IN_QT5')

    if conf.env.HAVE_X11:
        enable_module('SUIL_WITH_X11')

    module_prefix = ''
    module_ext    = ''
    if conf.env.PARDEBUG:
        module_ext += 'D'
    if conf.env.DEST_OS == 'win32':
        module_ext += '.dll'
    elif conf.env.DEST_OS == 'darwin':
        module_prefix = 'lib'
        module_ext += '.dylib'
    else:
        module_prefix = 'lib'
        module_ext += '.so'

    conf.define('SUIL_MODULE_PREFIX', module_prefix)
    conf.define('SUIL_MODULE_EXT', module_ext)

    conf.run_env.append_unique('SUIL_MODULE_DIR', [conf.build_path()])
    autowaf.set_lib_env(conf, 'suil', SUIL_VERSION)
    conf.write_config_header('suil_config.h', remove=False)

    autowaf.display_summary(
        conf,
        {'Static library': bool(conf.env.BUILD_STATIC),
         'Shared library': bool(conf.env.BUILD_SHARED)})

    if conf.env.HAVE_GTK2:
        autowaf.display_msg(conf, "Gtk2 Library Name",
                            conf.get_define('SUIL_GTK2_LIB_NAME'))
    if conf.env.HAVE_GTK3:
        autowaf.display_msg(conf, "Gtk3 Library Name",
                            conf.get_define('SUIL_GTK3_LIB_NAME'))

    # Print summary message for every potentially supported wrapper
    wrappers = [('cocoa', 'gtk2'),
                ('gtk2', 'qt4'),
                ('gtk2', 'qt5'),
                ('qt4', 'gtk2'),
                ('qt5', 'gtk2'),
                ('win', 'gtk2'),
                ('x11', 'gtk2'),
                ('x11', 'gtk3'),
                ('qt5', 'gtk3'),
                ('x11', 'qt4'),
                ('x11', 'qt5'),
                ('cocoa', 'qt5')]
    for w in wrappers:
        var = 'SUIL_WITH_%s_IN_%s' % (w[0].upper(), w[1].upper())
        autowaf.display_msg(conf, 'Support for %s in %s' % (w[0], w[1]),
                            bool(conf.env[var]))

def build(bld):
    # C Headers
    includedir = '${INCLUDEDIR}/suil-%s/suil' % SUIL_MAJOR_VERSION
    bld.install_files(includedir, bld.path.ant_glob('suil/*.h'))
    TaskGen.task_gen.mappings['.mm'] = TaskGen.task_gen.mappings['.cc']

    # Pkgconfig file
    autowaf.build_pc(bld, 'SUIL', SUIL_VERSION, SUIL_MAJOR_VERSION, [],
                     {'SUIL_MAJOR_VERSION' : SUIL_MAJOR_VERSION,
                      'SUIL_PKG_DEPS' : 'lv2'})

    cflags = []
    lib    = []
    modlib = []
    if bld.env.DEST_OS == 'win32':
        modlib += ['user32']
    else:
        cflags += ['-fvisibility=hidden']
        if bld.is_defined('HAVE_LIBDL'):
            lib    += ['dl']
            modlib += ['dl']

    module_dir = '${LIBDIR}/suil-' + SUIL_MAJOR_VERSION

    # Shared Library
    if bld.env.BUILD_SHARED:
        obj = bld(features        = 'c cshlib',
                  export_includes = ['.'],
                  source          = 'src/host.c src/instance.c',
                  target          = 'suil-%s' % SUIL_MAJOR_VERSION,
                  includes        = ['.'],
                  defines         = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  name            = 'libsuil',
                  vnum            = SUIL_VERSION,
                  install_path    = '${LIBDIR}',
                  cflags          = cflags,
                  lib             = lib,
                  uselib          = 'LV2')

    # Static library
    if bld.env.BUILD_STATIC:
        obj = bld(features        = 'c cstlib',
                  export_includes = ['.'],
                  source          = 'src/host.c src/instance.c',
                  target          = 'suil-%s' % SUIL_MAJOR_VERSION,
                  includes        = ['.'],
                  defines         = ['SUIL_INTERNAL'],
                  name            = 'libsuil_static',
                  vnum            = SUIL_VERSION,
                  install_path    = '${LIBDIR}',
                  cflags          = cflags,
                  lib             = lib,
                  uselib          = 'LV2')

    if bld.env.SUIL_WITH_GTK2_IN_QT4:
        obj = bld(features     = 'cxx cxxshlib',
                  source       = 'src/gtk2_in_qt4.cpp',
                  target       = 'suil_gtk2_in_qt4',
                  includes     = ['.'],
                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  install_path = module_dir,
                  cxxflags     = cflags,
                  lib          = modlib,
                  uselib       = 'GTK2 QT4 LV2')

    if bld.env.SUIL_WITH_GTK2_IN_QT5:
        obj = bld(features     = 'cxx cxxshlib',
                  source       = 'src/gtk2_in_qt5.cpp',
                  target       = 'suil_gtk2_in_qt5',
                  includes     = ['.'],
                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  install_path = module_dir,
                  cxxflags     = cflags,
                  lib          = modlib,
                  uselib       = 'GTK2 QT5 LV2')

    if bld.env.SUIL_WITH_QT4_IN_GTK2:
        obj = bld(features     = 'cxx cxxshlib',
                  source       = 'src/qt4_in_gtk2.cpp',
                  target       = 'suil_qt4_in_gtk2',
                  includes     = ['.'],
                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  install_path = module_dir,
                  cxxflags     = cflags,
                  lib          = modlib,
                  uselib       = 'GTK2 QT4 LV2',
                  linkflags    = bld.env.NODELETE_FLAGS)

    if bld.env.SUIL_WITH_QT5_IN_GTK2:
        obj = bld(features     = 'cxx cxxshlib',
                  source       = 'src/qt5_in_gtk.cpp',
                  target       = 'suil_qt5_in_gtk2',
                  includes     = ['.'],
                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  install_path = module_dir,
                  cxxflags     = cflags,
                  lib          = modlib,
                  uselib       = 'GTK2 QT5 LV2',
                  linkflags    = bld.env.NODELETE_FLAGS)

    if bld.env.SUIL_WITH_X11_IN_GTK2:
        obj = bld(features     = 'c cshlib',
                  source       = 'src/x11_in_gtk2.c',
                  target       = 'suil_x11_in_gtk2',
                  includes     = ['.'],
                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  install_path = module_dir,
                  cflags       = cflags,
                  lib          = modlib + ['X11'],
                  uselib       = 'GTK2 GTK2_X11 LV2',

=== debian/changelog ===
suil (0.10.6-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Use secure URI in debian/watch

  [ Olivier Humbert ]
  * Use https protocol in d/control and d/copyright

  [ Dennis Braun ]
  * New upstream release
  * d/control: Bump standards version to 4.5.0
  * d/copyright: Update year
  * Remove d/unpack_waf.sh
  * d/rules: Fix FTCBFS

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 01 Feb 2020 18:48:43 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
  lv2-dev (>= 1.16),
  pkg-config,
  python3
-Standards-Version: 4.4.1
-Homepage: http://drobilla.net/software/suil/
+Standards-Version: 4.5.0
+Homepage: https://drobilla.net/software/suil/
 Vcs-Git: https://salsa.debian.org/multimedia-team/suil.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/suil
 Rules-Requires-Root: no

=== debian/watch ===
version=4
https://download.drobilla.net/suil-(.*)\.tar\.bz2

## suil 0.10.8

=== debian/changelog ===
suil (0.10.8-1) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * Fix compression

  [ Dennis Braun ]
  * New upstream version 0.10.8
  * Add libqt5x11extras5-dev to B-Ds and sort B-Ds
  * Add Build-Depends-Package to symbols file
  * Add d/upstream/signing-key.asc
  * Add d/upstream/metadata
  * Add me as uploader
  * Bump dh-compat to 13
  * Update d/copyright year

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 07 Oct 2020 11:53:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,16 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libgtk2.0-dev,
  libgtk-3-dev,
+ libqt5x11extras5-dev,
+ lv2-dev (>= 1.16),
  qtbase5-dev,
  qttools5-dev-tools,
- lv2-dev (>= 1.16),
  pkg-config,
  python3
 Standards-Version: 4.5.0

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.sig/" \
https://download.drobilla.net/suil-(.*)\.tar\.bz2
